
package de.ivu.elect.business.gebietsbaum.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.gebietsbaum.entity.Gebietsart;
import de.ivu.elect.business.gebietsbaum.boundary.GebietsartDAO;
import de.ivu.elect.business.gebietsbaum.boundary.GebietsartCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractGebietsartCreate {

  @Inject
  protected GebietsartDAO dao;

    @Inject
    transient Event<GebietsartCreateEvent> createEvent;



  


public void save(Gebietsart entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Gebietsart entity) {
        createEvent.fire(new GebietsartCreateEvent(entity));
  }

}
